# AIStationList Class Reference
[Classes that create a list of items.]

Creates a list of stations of which you are the owner. More...

`#include <ai_stationlist.hpp>`

Inheritance diagram for AIStationList:

## Public Member Functions
| AIStationList (AIStation::StationType station_type)
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.

## Detailed Description

Creates a list of stations of which you are the owner.

Definition at line 22 of file ai_stationlist.hpp.

## Constructor & Destructor Documentation

AIStationList::AIStationList | ( | AIStation::StationType | station_type | ) |

Parameters:

  | station_type | The type of station to make a list of stations for.

Definition at line 19 of file ai_stationlist.cpp.

References _current_company, AIList::AddItem(), BaseStation::facilities, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, and BaseStation::owner.

## Member Function Documentation

static const char* AIStationList::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIList.

Definition at line 25 of file ai_stationlist.hpp.

The documentation for this class was generated from the following files:

- src/ai/api/ai_stationlist.hpp
- src/ai/api/ai_stationlist.cpp